Name:           python-git-cola
Version:        4.11.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Git Cola is a powerful Git GUI with a slick and intuitive user interface.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://pypi.org/project/git-cola/
Source:         %{pypi_source git_cola}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'git-cola' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-git-cola
Summary:        %{summary}

%description -n python3-git-cola %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-git-cola build,cov,dev,docs,extras,pyqt5,pyqt6,pyside2,pyside6,testing


%prep
%autosetup -p1 -n git_cola-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x build,cov,dev,docs,extras,pyqt5,pyqt6,pyside2,pyside6,testing


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-git-cola -f %{pyproject_files}


%changelog
%autochangelog